Subject: Re: [RFC] powerpc/devtree: Parse new DRC mem/cpu/dev device tree elements

From: Stewart Smith <[email-masked]>
Date: Tue, 15 Mar 2016 14:03:57 +1100

Michael Bringmann <[email-masked]> writes:
> Summary: The following properties: ibm,drc-indexes, ibm,drc-names, 
> ibm,drc-types and ibm,drc-power-domains will be combined and condensed 
> into the single property, ibm,drc-info.
>
> The ibm,dynamic-memory property will be condensed into a new version, 
> ibm,dynamic-memory-v2.
>
> Note: "[PATCH] powerpc/devtree: Parse new DRC mem/cpu/dev device tree 
> elements" is withdrawn at this time.
>
>
> Several properties in the DRC device tree format are replaced by
> more compact representations to allow, for example, for the encoding
> of vast amounts of memory, and or reduced duplication of information
> in related data structures.
>
> "ibm,drc-info": This property, when present, replaces the following
> four properties: “ibm,drc-indexes”, “ibm,drc-names”, “ibm,drc-types”
> and “ibm,drc-power-domains”.  This property is defined for all
> dynamically reconfigurable platform nodes.  The "ibm,drc-info" elements
> are intended to provide a more compact representation, and reduce some
> search overhead.
>
> "ibm,dynamic-memory-v2": This property replaces the "ibm,dynamic-memory"
> node representation within the "ibm,dynamic-reconfiguration-memory"
> property.  This element format is intended to provide a more compact
> representation of memory, especially, for systems with massive amounts
> of RAM.
>
> "ibm,architecture.vec": Bit flags are added to this data structure
> by the front end processor to inform the kernel as to whether to expect
> the changes to one or both of the device tree structures "ibm,drc-info"
> and "ibm,dynamic-memory-v2".
>
> The new element structures, "ibm,dynamic-memory-v2" and "ibm,drc-info",
> should completely replace the previously used structures at execution.
>
> Signed-off-by: Michael Bringmann <[email-masked]>
> ---

Documentation/devicetree/bindings ? or link to PAPR where it's specified?

-- 
Stewart Smith
OPAL Architect, IBM.